netscape.javascript

## Class JSUtil

- java.lang.Object
- - netscape.javascript.JSUtil

-     public class JSUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getJSObjectInternalReference(JSObject js)` Uses package-private method JSObject.getInternalReference.
    `static java.lang.String` | `getStackTrace(java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSUtil

          public JSUtil()

  - ### Method Detail

    - #### getStackTrace

          public static java.lang.String getStackTrace(java.lang.Throwable t)

    - #### getJSObjectInternalReference

          public static long getJSObjectInternalReference(JSObject js)

      Uses package-private method JSObject.getInternalReference. This is package-private to avoid polluting the public interface.
      Parameters:
        `js` - JSObject to unbox
      Returns:
        the internal reference stored by the JSObject

Submit a bug or feature